%global pypi_name pydeps

%global desc %{expand: \
Python module dependency visualization. This package installs the pydeps
command, and normal usage will be to use it from the command line.}

Name:           python-%{pypi_name}
Version:        1.7.3
Release:        1%{?dist}
Summary:        Display module dependencies

License:        BSD
URL:            https://github.com/thebjorn/pydeps
Source0:        %pypi_source
BuildArch:      noarch

%{?python_enable_dependency_generator}
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
%{desc}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(enum34)
Requires:       python3dist(setuptools)
Requires:       python3dist(stdlib-list)

%description -n python3-%{pypi_name}
%{desc}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# %check
# %{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/pydeps
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Aug 15 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.7.3-1
- Initial package.
